Subject: [regext] Robert Wilton's No Objection on draft-ietf-regext-rfc7483bis-04: (with COMMENT)

From: Robert Wilton via Datatracker <[email-masked]>
Date: Mon, 15 Feb 2021 03:56:42 -0800

Robert Wilton has entered the following ballot position for
draft-ietf-regext-rfc7483bis-04: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-regext-rfc7483bis/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Hi,

Thank you for this update to RFC 7483.

A couple of minor comments:

In section 5.2.  The Nameserver Object Class:  It might be helpful to warn the
reader that some lines have been wrapped for display purposes.  E.g. the link
value and href.  Alternative, the approach/tooling from RFC 8792 could be used.

It also wasn't clear to me whether the Appendix "Changes from RFC 7483" was
going to be kept - there is no RFC editor note to suggest that it be removed.

Generally, I think that have a short section explaining how a RFC has changed
from a previously published version is helpful.  But if this is kept, then I
would try and condense this text down to just the list of important changes
from RFC 7483.

Regards,
Rob

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 18 Feb 2021 15:22:05 +0000

> -----Original Message-----
> From: Robert Wilton via Datatracker <[email-masked]>
> Sent: Monday, February 15, 2021 6:57 AM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked];
> [email-masked]; Jasdip Singh <[email-masked]>; [email-masked]
> Subject: [EXTERNAL] Robert Wilton's No Objection on draft-ietf-regext-
> rfc7483bis-04: (with COMMENT)
>
> Caution: This email originated from outside the organization. Do not click links
> or open attachments unless you recognize the sender and know the content
> is safe.
>
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)

[SAH] [snip]

 [SAH] I think I'd prefer to add a sentence somewhere earlier in the document top note that some examples include wrapped lines.

> It also wasn't clear to me whether the Appendix "Changes from RFC 7483"
> was going to be kept - there is no RFC editor note to suggest that it be
> removed.
>
> from a previously published version is helpful.  But if this is kept, then I would
> try and condense this text down to just the list of important changes from
> RFC 7483.

[SAH] I'd like to address this using the same approach mentioned in my last note.

Scott

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Thu, 18 Feb 2021 15:31:07 +0000

Hi Scott,

> From: Hollenbeck, Scott <[email-masked]>
> Sent: 18 February 2021 15:22
> To: Rob Wilton (rwilton) <[email-masked]>; [email-masked]
> [email-masked]; [email-masked]
> Subject: RE: Robert Wilton's No Objection on draft-ietf-regext-rfc7483bis-
> 04: (with COMMENT)
> 
> email
> > value and href.  Alternative, the approach/tooling from RFC 8792 could
> be
> > used.
> 
>  [SAH] I think I'd prefer to add a sentence somewhere earlier in the
> document top note that some examples include wrapped lines.
[RW] 

That is fine.

I think that you have a slightly bigger risk of readers potentially being confused by the example, whereas having the warning text right before the examples avoids that.  But happy to leave this to your discretion.

> [SAH] I'd like to address this using the same approach mentioned in my
[RW] 
Same response also applies ;-)

Regards,
Rob